/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** 退保结果通知 POST /api/CaiNiaoCallBack/GetInsureRefundResultNotify */
export async function getInsureRefundResultNotify(options?: API.RequestConfig) {
  return request<API.GetInsureRefundResultNotifyResponse>(
    '/api/CaiNiaoCallBack/GetInsureRefundResultNotify',
    {
      method: 'POST',
      ...(options || {}),
    }
  );
}

/** 投保结果通知 POST /api/CaiNiaoCallBack/GetInsureResultNotify */
export async function getInsureResultNotify(options?: API.RequestConfig) {
  return request<API.GetInsureResultNotifyResponse>('/api/CaiNiaoCallBack/GetInsureResultNotify', {
    method: 'POST',
    ...(options || {}),
  });
}

/** 投保结果通知 POST /api/CaiNiaoCallBack/GetInsureResultNotifyTest */
export async function getInsureResultNotifyTest(
  body: API.GetInsureResultNotifyRequest,
  options?: API.RequestConfig
) {
  return request<API.GetInsureResultNotifyResponse>(
    '/api/CaiNiaoCallBack/GetInsureResultNotifyTest',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** 签约结果通知 POST /api/CaiNiaoCallBack/GetInsureSignNotify */
export async function getInsureSignNotify(options?: API.RequestConfig) {
  return request<API.GetInsureSignNotifyResponse>('/api/CaiNiaoCallBack/GetInsureSignNotify', {
    method: 'POST',
    ...(options || {}),
  });
}
